Archive the NonLinear extension
Closed, ResolvedPublic

Description

As per https://phabricator.wikimedia.org/T112408#3389081

https://www.mediawiki.org/wiki/Gerrit/Inactive_projects

https://www.mediawiki.org/wiki/Extension:Nonlinear
https://phabricator.wikimedia.org/diffusion/ENOL/history/master/

https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/Nonlinear+status:open
https://phabricator.wikimedia.org/maniphest/query/83bLePkOvY9X/#R

  • Archive documentation on mediawiki.org (already done)
  • Remove from mediawiki/extensions [ b538f6244e17 ]
  • Remove tests in intregation/config ( zuul/layout.yaml ) (partially done at 1c5c3fc247b1 by @MarcoAurelio, set to archived)
  • Remove from translatewiki ( groups/MediaWiki/mediawiki-extensions.txt ) [ 9ee00a3d5bf1 ]
  • Mark as read-only on Gerrit (done by @hashar)
  • Archive Phabricator project
Aklapper created this task.Jul 3 2017, 11:14 AM
Aklapper moved this task from Bugs & stuff to Repo Admin on the Gerrit board.
Aklapper moved this task from Backlog to Repo setup on the Continuous-Integration-Config board.
Aklapper moved this task from Incoming to Projects to archive on the Project-Admins board.

I have closed as declined the remaining open tasks. Next steps I guess is to mark the gerrit repo as archived?

Change 362973 had a related patch set (by MarcoAurelio) published:
[integration/config@master] Archive Nonlinear

https://gerrit.wikimedia.org/r/362973

Things done:

Things still to do:

  • abandon a pending gerrit patch which is even -2/-1
  • set the gerrit repo to read-only?
  • archive the Phabricator project when everything is done

I'd prefer that bugs be closed only *after* the repositories are emptied, otherwise they'll keep coming up again.

Mentioned in SAL (#wikimedia-releng) [2017-07-04T09:28:28Z] <hashar> gerrit: marking read-only mediawiki/extensions/Nonlinear - T169519

Change 362973 merged by jenkins-bot:
[integration/config@master] Archive Nonlinear

https://gerrit.wikimedia.org/r/362973

Change 363226 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions@master] Removing Extension:Nonlinear

https://gerrit.wikimedia.org/r/363226

Change 363226 merged by Hashar:
[mediawiki/extensions@master] Removing Extension:Nonlinear

https://gerrit.wikimedia.org/r/363226

MarcoAurelio updated the task description. (Show Details)Jul 5 2017, 12:04 PM

Everything from the checklist above is done. Once https://gerrit.wikimedia.org/r/#/c/195094/ is abandoned, I think we can call this resolved, or is there anything more left to do?

hashar added a comment.Jul 5 2017, 2:44 PM

MarcoAurelio wrote:

Everything from the checklist above is done. Once
https://gerrit.wikimedia.org/r/#/c/195094/ is abandoned

Abandoned :-}

@hashar Thanks. Anything left to do here (mentioned or not in this task?)

hashar closed this task as Resolved.Jul 5 2017, 3:10 PM
hashar reassigned this task from awight to MarcoAurelio.
hashar added a subscriber: awight.

All covered! Thank you @MarcoAurelio